# DataExchange
TKSTEP
StepAP214

# StepAP214_Array1OfAutoDesignGeneralOrgItem Class Reference

`#include <StepAP214_Array1OfAutoDesignGeneralOrgItem.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepAP214_Array1OfAutoDesignGeneralOrgItem (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | StepAP214_Array1OfAutoDesignGeneralOrgItem (const StepAP214_AutoDesignGeneralOrgItem &Item, const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT void | Init (const StepAP214_AutoDesignGeneralOrgItem &V)
Standard_EXPORT void | Destroy ()
| ~StepAP214_Array1OfAutoDesignGeneralOrgItem ()
Standard_Boolean | IsAllocated () const
Standard_EXPORT const StepAP214_Array1OfAutoDesignGeneralOrgItem & | Assign (const StepAP214_Array1OfAutoDesignGeneralOrgItem &Other)
const StepAP214_Array1OfAutoDesignGeneralOrgItem & | operator= (const StepAP214_Array1OfAutoDesignGeneralOrgItem &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const StepAP214_AutoDesignGeneralOrgItem &Value)
const StepAP214_AutoDesignGeneralOrgItem & | Value (const Standard_Integer Index) const
const StepAP214_AutoDesignGeneralOrgItem & | operator() (const Standard_Integer Index) const
StepAP214_AutoDesignGeneralOrgItem & | ChangeValue (const Standard_Integer Index)
StepAP214_AutoDesignGeneralOrgItem & | operator() (const Standard_Integer Index)

## Private Member Functions

Standard_EXPORT | StepAP214_Array1OfAutoDesignGeneralOrgItem (const StepAP214_Array1OfAutoDesignGeneralOrgItem &AnArray)

## Private Attributes

Standard_Integer | myLowerBound
Standard_Integer | myUpperBound
Standard_Address | myStart
Standard_Boolean | isAllocated

## Constructor & Destructor Documentation

Standard_EXPORT StepAP214_Array1OfAutoDesignGeneralOrgItem::StepAP214_Array1OfAutoDesignGeneralOrgItem | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT StepAP214_Array1OfAutoDesignGeneralOrgItem::StepAP214_Array1OfAutoDesignGeneralOrgItem | ( | const StepAP214_AutoDesignGeneralOrgItem & | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

StepAP214_Array1OfAutoDesignGeneralOrgItem::~StepAP214_Array1OfAutoDesignGeneralOrgItem | ( |  | ) | `[inline]`

Standard_EXPORT StepAP214_Array1OfAutoDesignGeneralOrgItem::StepAP214_Array1OfAutoDesignGeneralOrgItem | ( | const StepAP214_Array1OfAutoDesignGeneralOrgItem & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const StepAP214_Array1OfAutoDesignGeneralOrgItem& StepAP214_Array1OfAutoDesignGeneralOrgItem::Assign | ( | const StepAP214_Array1OfAutoDesignGeneralOrgItem & | Other | ) |

StepAP214_AutoDesignGeneralOrgItem& StepAP214_Array1OfAutoDesignGeneralOrgItem::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void StepAP214_Array1OfAutoDesignGeneralOrgItem::Destroy | ( |  | ) |

Standard_EXPORT void StepAP214_Array1OfAutoDesignGeneralOrgItem::Init | ( | const StepAP214_AutoDesignGeneralOrgItem & | V | ) |

Standard_Boolean StepAP214_Array1OfAutoDesignGeneralOrgItem::IsAllocated | ( |  | ) | const

Standard_Integer StepAP214_Array1OfAutoDesignGeneralOrgItem::Length | ( |  | ) | const

Standard_Integer StepAP214_Array1OfAutoDesignGeneralOrgItem::Lower | ( |  | ) | const

void StepAP214_Array1OfAutoDesignGeneralOrgItem::operator delete | ( | void * | anAddress | ) | `[inline]`

void* StepAP214_Array1OfAutoDesignGeneralOrgItem::operator new | ( | size_t | size | ) | `[inline]`

void* StepAP214_Array1OfAutoDesignGeneralOrgItem::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

StepAP214_AutoDesignGeneralOrgItem& StepAP214_Array1OfAutoDesignGeneralOrgItem::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const StepAP214_AutoDesignGeneralOrgItem& StepAP214_Array1OfAutoDesignGeneralOrgItem::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const StepAP214_Array1OfAutoDesignGeneralOrgItem& StepAP214_Array1OfAutoDesignGeneralOrgItem::operator= | ( | const StepAP214_Array1OfAutoDesignGeneralOrgItem & | Other | ) | `[inline]`

void StepAP214_Array1OfAutoDesignGeneralOrgItem::SetValue | ( | const Standard_Integer | Index,
|  | const StepAP214_AutoDesignGeneralOrgItem & | Value
| ) |

Standard_Integer StepAP214_Array1OfAutoDesignGeneralOrgItem::Upper | ( |  | ) | const

const StepAP214_AutoDesignGeneralOrgItem& StepAP214_Array1OfAutoDesignGeneralOrgItem::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean StepAP214_Array1OfAutoDesignGeneralOrgItem::isAllocated `[private]`

Standard_Integer StepAP214_Array1OfAutoDesignGeneralOrgItem::myLowerBound `[private]`

Standard_Address StepAP214_Array1OfAutoDesignGeneralOrgItem::myStart `[private]`

Standard_Integer StepAP214_Array1OfAutoDesignGeneralOrgItem::myUpperBound `[private]`

The documentation for this class was generated from the following file:

- StepAP214_Array1OfAutoDesignGeneralOrgItem.hxx